### Method

# GIRepository ObjectInfo get_parent

since: 2.80

#### Declaration

    GIObjectInfo*
    gi_object_info_get_parent (
      GIObjectInfo* info
    )

#### Description

Obtain the parent of the object type.

Available since: 2.80

#### Return value

Type: `GIObjectInfo`

The `GIObjectInfo`. Free the struct by calling `gi_base_info_unref()` when done.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.